Package com.macrofocus.high_d.tablelens

# Class AbstractTableLensController<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensController<Component,Color,Row,Column>

All Implemented Interfaces:
  `TableLensController<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXTableLensController`

public abstract class AbstractTableLensController<Component,Color,Row,Column> extends Object implements TableLensController<Component,Color,Row,Column>
Created by luc on 26/07/16.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractTableLensController.DefaultMouseListener`

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.tablelens.TableLensController

  `TableLensController.Mode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTableLensController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableLensController.Mode`
  `getMode()`
  `TableLensView<Component,Color,Row,Column>`
  `getView()`
  `void`
  `setMode(TableLensController.Mode mode)`
  `void`
  `setView(TableLensView<Component,Color,Row,Column> view)`
  Replace the view currently under control.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractTableLensController

    public AbstractTableLensController()

- ## Method Details

  - ### setView

    public void setView(TableLensView<Component,Color,Row,Column> view)
    Description copied from interface: `TableLensController`
    Replace the view currently under control.
    Specified by:
      `setView` in interface `TableLensController<Component,Color,Row,Column>`
    Parameters:
      `view` - the TableLensView to use

  - ### getView

    public TableLensView<Component,Color,Row,Column> getView()

  - ### getMode

    public TableLensController.Mode getMode()
    Specified by:
      `getMode` in interface `TableLensController<Component,Color,Row,Column>`

  - ### setMode

    public void setMode(TableLensController.Mode mode)
    Specified by:
      `setMode` in interface `TableLensController<Component,Color,Row,Column>`